new laptop: Lenovo Y520-15IKBM no wireless networks found

Bug #1723612 reported by L Sluijter on 2017-10-14
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Ike Panhc

Bug Description

platform/x86: ideapad-laptop: Add Y720-15IKBM to no_hw_rfkill

Lenovo Legion Y720-15IKBM is yet another Lenovo model that does not
have an hw rfkill switch, resulting in wifi always reported as hard
blocked.

Please add the model to the list of models without rfkill switch, in module ideapad-laptop

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: linux-image-4.10.0-37-generic 4.10.0-37.41
ProcVersionSignature: Ubuntu 4.10.0-37.41-generic 4.10.17
Uname: Linux 4.10.0-37-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.4-0ubuntu4.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: loek 2044 F.... pulseaudio
CurrentDesktop: Unity:Unity7
Date: Sat Oct 14 16:14:40 2017
HibernationDevice: RESUME=UUID=4864f7b1-0f01-42de-8c0b-fe93495c315f
InstallationDate: Installed on 2017-10-09 (4 days ago)
InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 174f:2414 Syntek
 Bus 001 Device 002: ID 046d:c52f Logitech, Inc. Unifying Receiver
 Bus 001 Device 004: ID 8087:0a2b Intel Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: LENOVO 80YY
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.10.0-37-generic.efi.signed root=UUID=349aa14b-4edc-478e-9b00-da8d368233f8 ro rootflags=subvol=@ quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.10.0-37-generic N/A
 linux-backports-modules-4.10.0-37-generic N/A
 linux-firmware 1.164.1
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/07/2017
dmi.bios.vendor: LENOVO
dmi.bios.version: 5XCN13WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo Y520-15IKBM
dmi.modalias: dmi:bvnLENOVO:bvr5XCN13WW:bd09/07/2017:svnLENOVO:pn80YY:pvrLenovoY520-15IKBM:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrLenovoY520-15IKBM:
dmi.product.name: 80YY
dmi.product.version: Lenovo Y520-15IKBM
dmi.sys.vendor: LENOVO

L Sluijter (lsluijter) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
L Sluijter (lsluijter) wrote :

As bypass I did a modprobe -r ideapad-laptop

Kai-Heng Feng (kaihengfeng) wrote :

The description says "Y720-15IKBM" but your machine is "Y520-15IKBM". Can you confirm the latter one is what you want?

Download full text (3.6 KiB)

Hi.

Sorry I was not clear. This is my machine:

loek@loek-Lenovo-Y520-15IKBM:~$ cat /sys/class/dmi/id/modalias
dmi:bvnLENOVO:bvr5XCN13WW:bd09/07/2017:svnLENOVO:pn80YY:
pvrLenovoY520-15IKBM:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:
ct10:cvrLenovoY520-15IKBM:

*Please contact Ike Panhc <<email address hidden> <email address hidden>>,
I think he is already working on the same problem.*

There is an Y720 as well. Perhaps Lenovo could give you a complete list of
the new September models.

Regards,

Loek Sluijter

2017-10-16 10:43 GMT+02:00 Kai-Heng Feng <email address hidden>:

> The description says "Y720-15IKBM" but your machine is "Y520-15IKBM".
> Can you confirm the latter one is what you want?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1723612
>
> Title:
> new laptop: Lenovo Y520-15IKBM no wireless networks found
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> platform/x86: ideapad-laptop: Add Y720-15IKBM to no_hw_rfkill
>
>
> Lenovo Legion Y720-15IKBM is yet another Lenovo model that does not
> have an hw rfkill switch, resulting in wifi always reported as hard
> blocked.
>
> Please add the model to the list of models without rfkill switch, in
> module ideapad-laptop
>
> ProblemType: Bug
> DistroRelease: Ubuntu 17.04
> Package: linux-image-4.10.0-37-generic 4.10.0-37.41
> ProcVersionSignature: Ubuntu 4.10.0-37.41-generic 4.10.17
> Uname: Linux 4.10.0-37-generic x86_64
> NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
> ApportVersion: 2.20.4-0ubuntu4.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: loek 2044 F.... pulseaudio
> CurrentDesktop: Unity:Unity7
> Date: Sat Oct 14 16:14:40 2017
> HibernationDevice: RESUME=UUID=4864f7b1-0f01-42de-8c0b-fe93495c315f
> InstallationDate: Installed on 2017-10-09 (4 days ago)
> InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 003: ID 174f:2414 Syntek
> Bus 001 Device 002: ID 046d:c52f Logitech, Inc. Unifying Receiver
> Bus 001 Device 004: ID 8087:0a2b Intel Corp.
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: LENOVO 80YY
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.10.0-37-generic.efi.signed
> root=UUID=349aa14b-4edc-478e-9b00-da8d368233f8 ro rootflags=subvol=@
> quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-4.10.0-37-generic N/A
> linux-backports-modules-4.10.0-37-generic N/A
> linux-firmware 1.164.1
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/07/2017
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 5XCN13WW
> dmi.board.asset.tag: NO Asset Tag
> dmi.board.name: LNVNB161216
> dmi.board.vendor: LENOVO
> dmi.board.version: SDK0J40709 WIN
> dmi.chassis.asset.tag: NO Asset Tag
> dmi.chassis.type: 10
> dmi.chass...

Read more...

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
status: Incomplete → Triaged
Ike Panhc (ikepanhc) on 2017-10-17
Changed in linux (Ubuntu):
assignee: nobody → Ike Panhc (ikepanhc)
status: Triaged → In Progress
L Sluijter (lsluijter) wrote :

Any outlook when this will be fixed for Ubuntu? I see it is still not there in linux 4.18.
Suse LEAP 15 fixed this within 6 weeks after I reported it to Suse.

Ike Panhc (ikepanhc) wrote :

I thought this has been fix a long time and now find out we need Y520-15IKBM (not IKBN) as well. I assume that you need Y720-15IKBM in blacklist too. Is it?

ikepanhc@Kira:~/ubuntu-bionic$ git grep IKB drivers/platform/x86/ideapad-laptop.c | grep DMI
drivers/platform/x86/ideapad-laptop.c: DMI_MATCH(DMI_PRODUCT_VERSION, "Lenovo V310-14IKB"),
drivers/platform/x86/ideapad-laptop.c: DMI_MATCH(DMI_PRODUCT_VERSION, "Lenovo V310-15IKB"),
drivers/platform/x86/ideapad-laptop.c: DMI_MATCH(DMI_PRODUCT_VERSION, "Lenovo V510-15IKB"),
drivers/platform/x86/ideapad-laptop.c: DMI_MATCH(DMI_PRODUCT_VERSION, "Lenovo ideapad 300-15IKB"),
drivers/platform/x86/ideapad-laptop.c: DMI_MATCH(DMI_PRODUCT_VERSION, "Lenovo ideapad 310-15IKB"),
drivers/platform/x86/ideapad-laptop.c: DMI_MATCH(DMI_PRODUCT_VERSION, "Lenovo Y520-15IKBN"),
drivers/platform/x86/ideapad-laptop.c: DMI_MATCH(DMI_PRODUCT_VERSION, "Lenovo Y720-15IKBN"),
drivers/platform/x86/ideapad-laptop.c: DMI_MATCH(DMI_PRODUCT_VERSION, "Lenovo YOGA 910-13IKB"),
drivers/platform/x86/ideapad-laptop.c: DMI_MATCH(DMI_PRODUCT_VERSION, "Lenovo YOGA 920-13IKB"),

L Sluijter (lsluijter) wrote :

I am interested in the Y520-15IKBM, but there is a Y720-15IKBM as well.

This is how it has been fixed by SUSE: drop the N from Y520-15IKBN so it becomes Y520-15IKB

https://bugzilla.opensuse.org/attachment.cgi?id=774875&action=diff

Ike Panhc (ikepanhc) wrote :

Thanks for your report. I am going to send this patch for upstream review and also think a good plan to blacklist all future ideapads. According to latest suggested design laptop vendor shall not have a physical radio switch.

tags: added: patch
Sean Wang (wxwok) wrote :

My Lenovo Legion Y7000 also has no wifi. Please add it too.
$ cat /sys/class/dmi/id/modalias
dmi:bvnLENOVO:bvr8JCN44WW:bd08/13/2018:svnLENOVO:pn81FW:pvrLenovoLegionY7000:rvnLENOVO:rnLNVNB161216:rvrSDK0L77769WIN:cvnLENOVO:ct10:cvrLenovoLegionY7000:

Ike Panhc (ikepanhc) wrote :

@wxwok,

Could you show the output of `cat /sys/class/dmi/id/chassis_version` please?

Just want to make sure there are spaces or not.

Ike Panhc (ikepanhc) wrote :

$ gitoneline | grep ideapad | head -1
56c9bba135ab <email address hidden> 2018-08-15 13:17:48 +0300 platform/x86: ideapad: Add Y520-15IKBM and Y720-15IKBM to no_hw_rfkill

Patch has been accepted. Let me sort out how much we need to backport.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers